package link.at17.mid.tushare.config;

import org.reflections.Reflections;
import org.reflections.scanners.Scanners;
import org.reflections.util.ConfigurationBuilder;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * Reflections
 * @author Doghole
 *
 */
@Configuration
public class ReflectionsConfig {
    
    @Bean("reflections")
    Reflections reflections() {
        return new Reflections(new ConfigurationBuilder()
                .addScanners(
                        Scanners.MethodsAnnotated,
                        Scanners.SubTypes,
                        Scanners.TypesAnnotated,
                        Scanners.FieldsAnnotated)
                .forPackages("link.at17.mid.tushare"));
    }
    
}
